Subject: Re: bug#55068: 29.0.50; crashes when trying to set default font

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 May 2022 12:27:08 +0200

Gregor Zattler <[email-masked]> writes:

> => 3495
>
> I installed NOTO fonts and friends...
>
> I personally am not dependent on this bug being resolved.  I
> can easily uninstall most of this fonts, as I do not really
> need them, if it helps my case.  But I'm happy to help
> chasing down the bug, meaning to answer questions, as all
> this is very much beyond my skills.

We should definitely fix this -- we can't have a menu crashing Emacs.

I do have a bunch of Noto fonts installed, but way less than yours.
Let's see...

# apt install fonts-noto*

(length (font-family-list))
=> 4833

And...  with that, I'm able to reproduce the crash with

(mouse-select-font)

and then More fonts -> by family

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no